@echo off

set dir=%SystemRoot%\system32\drivers
wdreg remove >>wdins.log
copy windrvr.sys %dir% >> wdins.log

@FOR /F "TOKENS=3" %%A IN ('VER') DO IF %%A==XP regedit /s winxp2.reg >> wdins.log

wdreg install >> wdins.log
echo. | wdv >> wdins.log
echo You must restart for changes to take effect. Press any key . . .
pause > NUL

rem all done